Saltar al contenido principal
GET
/
api
/
v1
/
authentication
/
api-key
/
scoped
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;

var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

var res = await sdk.Auth.ApiKeys.ListAsync();

// handle response
[
  {
    "id": "<string>",
    "userId": "<string>",
    "orgId": "<string>",
    "teamId": "<string>",
    "scopes": [
      "<string>"
    ],
    "name": "<string>",
    "key": "<string>",
    "prefix": "<string>",
    "start": "<string>",
    "expiresAt": "<string>"
  }
]

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de consulta

orgId
string
teamId
string

Respuesta

Claves propiedad del llamante

id
string
requerido
userId
string
requerido
userType
enum<string>
requerido
Opciones disponibles:
user,
service-account
orgId
string | null
requerido
teamId
string | null
requerido
scopes
string[]
requerido
name
string | null
key
string
prefix
string | null
start
string | null
expiresAt
string | null